stages: 
  - docker
services: 
  - docker:dind
docker-job:
  stage: docker
  image: docker:dind 
  script:
     - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
     - docker build -t registry.gitlab.com/tickoo.sushant/interviewproject .
     - docker push registry.gitlab.com/tickoo.sushant/interviewproject
